### Index

- _buildValueString (packages/.../eui-select-option.directive.ts)
- _buildValueString (packages/.../utils.ts)
- _extractId (packages/.../utils.ts)
- getDecimal (packages/.../eui-input-number.component.ts)
- getGroup (packages/.../eui-input-number.component.ts)
- getLocaleConfig (packages/.../eui-input-number.component.ts)
- sliderValidator (packages/.../eui-slider.validator.ts)
- uxTreeNodesMetaDataMapper (packages/.../eui-tree.model.ts)

### packages/components/eui-select/eui-select-option.directive.ts

###

_buildValueString
`_buildValueString(id: string, value: any)`

Parameters :

Name | Type | Optional
id | `string` | No
value | `any` | No

Returns : `string`

### packages/components/eui-select/utils.ts

###

_buildValueString
`_buildValueString(id: string, value: any)`

Parameters :

Name | Type | Optional
id | `string` | No
value | `any` | No

Returns : `string`

_extractId
`_extractId(valueString: string)`

Parameters :

Name | Type | Optional
valueString | `string` | No

Returns : `string`

### packages/components/eui-input-number/eui-input-number.component.ts

###

getDecimal
`getDecimal(locale: string)`

Get the decimal separator based on the locale

Parameters :

Name | Type | Optional | Description
locale | `string` | No | value of the locale based on ISO 639-1

Returns : `string`

getGroup
`getGroup(locale: string)`

Get the group separator based on the locale

Parameters :

Name | Type | Optional | Description
locale | `string` | No | value of the locale based on ISO 639-1

Returns : `string`

getLocaleConfig
`getLocaleConfig(locale: string)`

Returns the decimal and group separators for a given locale

Parameters :

Name | Type | Optional | Description
locale | `string` | No | value of the locale based on ISO 639-1

Returns : `literal type`

### packages/components/eui-slider/validators/eui-slider.validator.ts

###

sliderValidator
`sliderValidator(config)`

Parameters :

Name | Optional
config | No

Returns : `ValidatorFn`

A validator function that returns an error map with `startMin` / `startMax` / `endMin` / `endMax` if the validation check fails, otherwise `null`.

### packages/components/eui-tree/eui-tree.model.ts

###

uxTreeNodesMetaDataMapper
`uxTreeNodesMetaDataMapper(oldTree: Array)`

Parameters :

Name | Type | Optional
oldTree | `Array` | No

Returns : `TreeDataModel`

# results matching ""

# No results matching ""